diff options
author | Tim Rozet <trozet@redhat.com> | 2015-08-31 10:36:27 -0400 |
---|---|---|
committer | Tim Rozet <trozet@redhat.com> | 2015-08-31 17:47:17 -0400 |
commit | 8ce84b06eb628e3b1a2145a3bfda75ca12082edb (patch) | |
tree | c024cc5f82dad97c9fde5345291175273079a659 /foreman | |
parent | ec14e60346404374823fc0b0188b7de37995bffb (diff) |
Fixes puppet modules to come from Genesis repo
This patch deprecates the use of puppet-trystack repo and migrates the
puppet modules even to Genesis. deploy.sh now now copies the modules
from the current Genesis repo into foreman VM's /vagrant to be used
during install (rather than recloning). Associated changes in
Khaleesi/QuickStack:
- Khaleesi: commit 31b912778847f295d1459a71e5c41c808977c91d
- Astapor: commit ac4be11e348d7bcff1e1aa28c96056e18dba5291
JIRA: APEX-8
Change-Id: I322ac797d1d687f17434e07e6775acef8961bdef
Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'foreman')
-rwxr-xr-x | foreman/ci/deploy.sh | 29 |
1 files changed, 8 insertions, 21 deletions
diff --git a/foreman/ci/deploy.sh b/foreman/ci/deploy.sh index a05b3de..13ed641 100755 --- a/foreman/ci/deploy.sh +++ b/foreman/ci/deploy.sh @@ -415,20 +415,13 @@ clean_tmp() { } ##clone genesis and move to node vm dir -##params: none -##usage: clone_bgs +##params: destination directory +##usage: clone_bgs /tmp/myvm/ clone_bgs() { - cd /tmp/ - rm -rf /tmp/genesis/ - - ##clone artifacts and move into foreman_vm dir - if ! GIT_SSL_NO_VERIFY=true git clone https://gerrit.opnfv.org/gerrit/genesis.git; then - printf '%s\n' 'deploy.sh: Unable to clone genesis repo' >&2 - exit 1 - fi - - mv -f /tmp/genesis/foreman/ci $vm_dir/foreman_vm - rm -rf /tmp/genesis/ + script=`realpath $0` + script_dir="`dirname "$script"`" + cp -fr $script_dir/ $1 + cp -fr $script_dir/../../common/puppet-opnfv $1 } ##validates the network settings and update VagrantFile with network settings @@ -911,13 +904,7 @@ start_virtual_nodes() { rm -rf /tmp/genesis/ ##clone genesis and move into node folder - if ! GIT_SSL_NO_VERIFY=true git clone https://gerrit.opnfv.org/gerrit/genesis.git; then - printf '%s\n' 'deploy.sh: Unable to clone vagrant repo' >&2 - exit 1 - fi - - mv -f /tmp/genesis/foreman/ci $vm_dir/$node - rm -rf /tmp/genesis/ + clone_bgs $vm_dir/$node cd $vm_dir/$node @@ -1118,7 +1105,7 @@ main() { install_vagrant clean_tmp verify_vm_dir - clone_bgs + clone_bgs $vm_dir/foreman_vm configure_network configure_virtual start_foreman |